<?xml version="1.0" encoding="utf-8"?>
<service name="facebookchat"
         version="$Id: facebookchat.xml 22641 2009-06-29 15:57:04Z campbell $"
         xmlns="http://www.flock.com/web-detective#">

  <strings>
    <string name="facebookHost" locale="default">
      <![CDATA[facebook.com]]>
    </string>
    <string name="homeURL" locale="default">
      <![CDATA[http://www.facebook.com/home.php]]>
    </string>
    <string name="loginURL" locale="default">
      <![CDATA[http://www.facebook.com/login.php]]>
    </string>
    <string name="chatHelpURL" locale="default">
      <![CDATA[http://www.facebook.com/help.php?topic=chat]]>
    </string>
    <string name="popoutURL" locale="default">
      <![CDATA[http://www.facebook.com/presence/popout.php]]>
    </string>
    <string name="inboxURL" locale="default">
      <![CDATA[http://www.facebook.com/home.php?#/inbox/?ref=mb]]>
    </string>
    <string name="blankAvatar" locale="default">
      <![CDATA[chrome://flock/skin/services/facebook/blankAvatar.gif]]>
    </string>
    <string name="channelRegExp" locale="default">
      <![CDATA[channel(\d+)]]>
    </string>
    <string name="postFormIdRegExp" locale="default">
      <![CDATA[<input type="hidden" id="post_form_id" name="post_form_id" value="([a-zA-Z0-9]+)"]]>
    </string>
    <string name="chatLoggedInRegExp" locale="default">
      <![CDATA[channelManager.iframeLoad\("(?:.+?)", "channel(?:\d+)", (?:\d+), ([a-zA-Z0-9]+)\)]]>
    </string>
    <string name="activeChatsRegExp" locale="default">
      <![CDATA[(\d+)":{"m":(\d+)]]>
    </string>
    <string name="nameRegExp" locale="default">
      <![CDATA[new Presence\("(?:\d+)", "(?:[a-zA-Z0-9\s]+)", "([a-zA-Z0-9\s]+)"]]>
    </string>
    <string name="buddyRefreshSeconds" locale="default">
      <![CDATA[180]]>
    </string>
    <string name="incomingChatURL" locale="default">
      <![CDATA[http://0.%channel%.facebook.com/x/%nocache%/false/p_%uid%=%msgid%]]>
    </string>
    <string name="chatHistoryURL" locale="default">
      <![CDATA[http://www.facebook.com/ajax/chat/history.php]]>
    </string>
    <string name="notificationsReadURL" locale="default">
      <![CDATA[http://www.facebook.com/ajax/presence/notifications_read.php]]>
    </string>
    <string name="settingsURL" locale="default">
      <![CDATA[http://www.facebook.com/ajax/chat/settings.php]]>
    </string>
    <string name="visibilityJS" locale="default">
      <![CDATA[statusControl.sendVisibility(%visibility%)]]>
    </string>
  </strings>

</service>
